Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.RMSEncryptData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | RMSEncryptData ()
| Constructor.
def | RMSEncryptData (other)
| Constructor, with another RMS encrypt data object. More...
def | Set (is_encrypt_metadata, publish_license, server_eul_list, irm_version)
| Set value. More...

## Static Public Attributes
| irm_version = _fsdk.RMSEncryptData_irm_version
| Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.
| is_encrypt_metadata = _fsdk.RMSEncryptData_is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| publish_license = _fsdk.RMSEncryptData_publish_license
| The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. More...
| server_eul_list = _fsdk.RMSEncryptData_server_eul_list
| A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL. More...

## Detailed Description

This class represents some data used for class RMSSecurityHandler .

## Constructor & Destructor Documentation

## ◆ RMSEncryptData()

def FoxitPDFSDKPython2.RMSEncryptData.RMSEncryptData | ( |  | other | ) |

Constructor, with another RMS encrypt data object.

Parameters

  [in] | other | Another RMS encrypt data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.RMSEncryptData.Set | ( |  | is_encrypt_metadata,
|  |  | publish_license,
|  |  | server_eul_list,
|  |  | irm_version
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FoxitPDFSDKPython2.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FoxitPDFSDKPython2.Codec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FoxitPDFSDKPython2.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FoxitPDFSDKPython2.Codec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

Returns
  None.

## Member Data Documentation

## ◆ publish_license

FoxitPDFSDKPython2.RMSEncryptData.publish_license = _fsdk.RMSEncryptData_publish_license
| static

The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string.

This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FoxitPDFSDKPython2.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FoxitPDFSDKPython2.Codec if necessary.

## ◆ server_eul_list

FoxitPDFSDKPython2.RMSEncryptData.server_eul_list = _fsdk.RMSEncryptData_server_eul_list
| static

A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL.
For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FoxitPDFSDKPython2.Codec for Flate compression algorithm and Base-64 Encryption algorithm.Please refer to class FoxitPDFSDKPython2.Codec if necessary.
An empty array means not use such information.